package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo struct {
	/*
	   订单原价     */
	ParentTotalPrice *string `json:"parent_total_price,omitempty" `

	/*
	   订单付款时间     */
	PayTime *string `json:"pay_time,omitempty" `

	/*
	   分账单创建时间     */
	GmtCreate *string `json:"gmt_create,omitempty" `

	/*
	   交易渠道 1：其他 2：app 3：pos     */
	OrderChannel *string `json:"order_channel,omitempty" `

	/*
	   父订单     */
	MordId *string `json:"mord_id,omitempty" `

	/*
	   门店名字     */
	StoreName *string `json:"store_name,omitempty" `

	/*
	   名店id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   子公司     */
	SubsidiaryName *string `json:"subsidiary_name,omitempty" `

	/*
	   子公司code     */
	SubsidiaryCode *string `json:"subsidiary_code,omitempty" `

	/*
	   集团     */
	MerchantName *string `json:"merchant_name,omitempty" `

	/*
	   集团code     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   业务日期     */
	Thedate *string `json:"thedate,omitempty" `

	/*
	   创建时间     */
	GmtModified *util.LocalTime `json:"gmt_modified,omitempty" `

	/*
	   主键id     */
	Id *int64 `json:"id,omitempty" `

	/*
	   订单技术服务费     */
	PayTechFee *string `json:"pay_tech_fee,omitempty" `

	/*
	   用户实付金额，减支付宝红包     */
	PayFee *string `json:"pay_fee,omitempty" `

	/*
	   订单付款金额     */
	ParentOriginalPrice *string `json:"parent_original_price,omitempty" `

	/*
	   总优惠金额     */
	DiscountFee *string `json:"discount_fee,omitempty" `

	/*
	   支付优惠金额     */
	PayDiscountFee *string `json:"pay_discount_fee,omitempty" `

	/*
	   分账优惠金额     */
	DiscountFzFee *string `json:"discount_fz_fee,omitempty" `

	/*
	   订单优惠金额平台补贴商家费用     */
	PmtDiscountFee *string `json:"pmt_discount_fee,omitempty" `

	/*
	   订单优惠金额     */
	ParentDiscountFee *string `json:"parent_discount_fee,omitempty" `

	/*
	   渠道来源 ：1 淘点点；2 美团；3 饿了么；4 淘宝TC；5 百度外卖；6 微信 ;7 三江；18 大润发飞牛优鲜；     */
	OrderFrom *string `json:"order_from,omitempty" `

	/*
	   支付方式     */
	PayChannel *string `json:"pay_channel,omitempty" `

	/*
	   单据类型     */
	Type *string `json:"type,omitempty" `

	/*
	   商家应收金额     */
	SellerReceiveFee *string `json:"seller_receive_fee,omitempty" `

	/*
	   优惠手续费     */
	DiscountChangeFee *string `json:"discount_change_fee,omitempty" `

	/*
	   优惠技术服务费     */
	DiscountTechFee *string `json:"discount_tech_fee,omitempty" `

	/*
	   商家承担优惠金额     */
	DiscountSellerFee *string `json:"discount_seller_fee,omitempty" `

	/*
	   平台承担优惠金额     */
	DiscountPlatformFee *string `json:"discount_platform_fee,omitempty" `

	/*
	   分账金额     */
	FzFee *string `json:"fz_fee,omitempty" `

	/*
	   配送费     */
	DeliveryFee *string `json:"delivery_fee,omitempty" `

	/*
	   订单手续费     */
	PayChangeFee *string `json:"pay_change_fee,omitempty" `

	/*
	   原订单运费     */
	ParentPostFee *string `json:"parent_post_fee,omitempty" `

	/*
	   用户应付金额（含运费）     */
	UserPayAmount *string `json:"user_pay_amount,omitempty" `

	/*
	   支付宝收款     */
	PayByAliPay *string `json:"pay_by_ali_pay,omitempty" `

	/*
	   非支付宝收款     */
	PayByOther *string `json:"pay_by_other,omitempty" `

	/*
	   收入金额小计     */
	IncomeAmount *string `json:"income_amount,omitempty" `

	/*
	   打包时间     */
	PackageTime *string `json:"package_time,omitempty" `

	/*
	   正向打包状态     */
	PackagedStatus *string `json:"packaged_status,omitempty" `

	/*
	   是否退款计算收入(1:是，0:否) 这是逆向的     */
	Income *int64 `json:"income,omitempty" `
}

func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetParentTotalPrice(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.ParentTotalPrice = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPayTime(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PayTime = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetGmtCreate(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.GmtCreate = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetOrderChannel(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.OrderChannel = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetMordId(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.MordId = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetStoreName(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.StoreName = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetStoreId(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetSubsidiaryName(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.SubsidiaryName = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetSubsidiaryCode(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.SubsidiaryCode = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetMerchantName(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.MerchantName = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetMerchantCode(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetThedate(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.Thedate = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetGmtModified(v util.LocalTime) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.GmtModified = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetId(v int64) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.Id = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPayTechFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PayTechFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPayFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PayFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetParentOriginalPrice(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.ParentOriginalPrice = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetDiscountFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.DiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPayDiscountFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PayDiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetDiscountFzFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.DiscountFzFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPmtDiscountFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PmtDiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetParentDiscountFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.ParentDiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetOrderFrom(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPayChannel(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PayChannel = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetType(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.Type = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetSellerReceiveFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.SellerReceiveFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetDiscountChangeFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.DiscountChangeFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetDiscountTechFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.DiscountTechFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetDiscountSellerFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.DiscountSellerFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetDiscountPlatformFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.DiscountPlatformFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetFzFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.FzFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetDeliveryFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.DeliveryFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPayChangeFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PayChangeFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetParentPostFee(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.ParentPostFee = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetUserPayAmount(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.UserPayAmount = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPayByAliPay(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PayByAliPay = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPayByOther(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PayByOther = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetIncomeAmount(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.IncomeAmount = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPackageTime(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PackageTime = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetPackagedStatus(v string) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.PackagedStatus = &v
	return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo) SetIncome(v int64) *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillDo {
	s.Income = &v
	return s
}
